<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Digital Fabrication I Blog I Zina</title>
    <link rel="stylesheet" type="text/css" href="styles.css" />
</head>

<body>

    <div class="sidebar">
        <ul style="list-style: none; padding: 0;">
            <li><a href="week1.html">Week 1</a></li>
            <li><a href="week2.html">Week 2</a></li>
            <li><a href="week3.html">Week 3</a></li>
            <li><a href="week4.html">Week 4</a></li>
            <li><a  href="week5.html">Week 5</a></li>
            <li><a style="color: rgb(25, 24, 21);" href="week6.html">Week 6</a></li>
            <li><a href="week7.html">Week 7</a></li>
        </ul>
        <h3 style="font-family: 'Terminal Grotesque Open'; font-weight: Open;"> <a><br>*°*:<br>:<br>..<br>"-<br>""<br>_-*°°*-_<br>::=°**_<br>_--<br>*°<br><br>*::.."-""<br>_-*°°*-_<br>::=°**__--<br>*°*::.."-""<br>_-*°°*-_<br>,_.::::°°°°<br>::...,.<br>.,.,._____,<br>...::::°"-""<br>_-*°°*-_,_°°°::<br>...,.,.,<br>._____.::°°°°<br>::...,.<br>.,.,._____,<br>...:    :::°"-""<br>_-*°°*-_,_°°°::</a></h3>
       
      </div>

      <div class="content">
        <section>
            <h1>Week 6°°°°°*°</h1>
            <h2> Electronics building- - -- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -- - - - - - - - - - - - - - - - - - - - - -- - - - <br> - - - -- - - - - - - - - - - <br> - - - - - -  -</h2>      
            <h2>___________________________________________________</h2>
            <h2>Milling- - - - - - - - -- - - - - - - - - -- - - - - -- - - - - - - -- - </h2>
            <p>Milling was quite a straight-forward process. I followed the instructions on the wiki. Also, my phone ran out of battery (read temporarily broke) because of the cold so I don't have many images of the process. 
                I opened the file I downloaded on CopperCam programme. I selected the border, Selected the text and chose "engrave track as centerlines" from the right-click menu (this makes it not have contours). Then, I made the drill-hole layer by importing a drill file. I checked all the layers were aligned and they were (yay). I checked all the settings were correct, and they were already set, including the tip tool selecting.Then I exported the file as roland .nc.
            </p>  
            <img src="Images/webImages/electronics/copperCam_milling.jpeg" class="full-image" alt="A photo of the milling machine">
            <br>After opening Vpanel, the software that controls the machine, I placed the tip in the machine and the copper board on the milling board. Now, to set the x,y,z origins.<br><br>
            First I set the x and y origins by aligning the tip with the outer edges of the copper board. Then I lowered the tip until it almost touched the board and unscrewed the tip and manualy lowered it more (pressing a bit down so it actually mills). Screwing the tip carefully (I was actually quite scared I would break the tip) in place and setting the z origin is almost the last step. I raised the tip a bit so it didn't drag on the copper when starting. Now we can start milling!!!
            The one issue I had was the height of the bit. The first time I ran the mill, it was too shallow but I was able to stop it early enough to adjust it and start again. I just made sure I didn't change the xy axises.
            <br> <br> The milling is done so now comes the drilling. I changed the tip and updated the z axis, leaving the xy axis the same (this is really important, otherwise nothing will be aligned). Finally, I can start the drilling. This part is surprisingly fast. Oh, also don't forget to vacuum when you start, change tips and end!!!!
            <br> <br> All the tools you need are in the first drawer on the desk::::<img src="Images/webImages/electronics/Drawer_milling.jpeg" class="full-image" alt="A photo of the process">
           <p>Here's how the board looked:: When I finished I cleaned the space and the board and moved on to soldering</p>
            <img src="Images/webImages/electronics/Finished_board.jpg" class="full-image" alt="A photo of the finished board">

           <br><br><br> <h2>___________________________________________________</h2>
           <h2>Soldering- - - - - - - - - - - - - - - - -- - - - - - - - - - -- - - -- - - - - -</h2>
            <p>To be honest, soldering scared me. The pieces are so small!! I came to the lab at night so the place was calm. Luckily Tomi was there working on his soldering so we could turn to each other when we had doubts. I set up the workspace by turning on the soldering iron and locating where everything that I needed was. I didn't think I would need it, but the size of the pieces was so small that the magnifying glass was very necessary.</p>
            <img src="Images/webImages/electronics/4CF79F25-3CDC-46AD-B19B-8B279068D5B7.jpeg" class="full-image" alt="A photo of the setup">
            <p>I thought the best way to proceed would be from the flattest pieces to the highest. This way, the bigger pieces wouldn't get in the way. So I began by hammering and soldering the ringlets. You can see in the first photo that part of the bottom material broke off when I pushed a ringlet through a hole that was drilled too small. But I didn't think this would affect the electronic part, as long as the ringlets didn't touch or move around.</p>
            <img src="Images/webImages/electronics/Ringlet_hamering.jpeg" class="cover-image" alt="A photo of the ringlets">
            <img src="Images/webImages/electronics/Ringlets_soldered.jpeg" class="cover-image" alt="a photo of the ringlet soldering">
            <br>Already I can see my soldering getting better between the first ringlet and the last one. But next are the LEDs and resistors. I did the LEDs first because they have to be put in a specific direction. I used the printed diagram to figure out the direction. The LEDs were really hard to keep still at the begining (they just jumped around as soon as I touched it). So I worked so that I placed it with the tweezers and did one side first with little tin, then the other side completely and then back to finish the first side. I used the tweezers to press  it down so that they lie flat.
            <img src="Images/webImages/electronics/LEDs_soldered.jpeg" class="full-image" alt="led soldering">
            <br> Then I soldered the resistors. I was missing quite a few so I had to grab them from the spinning shelf. I identified them by the 1001 number on them. Somehow these didn't "jump" as much as the LEDs. The hardest on was the button, because the point of contact was very small and on the limit of the copper. In order to put the white part I used a clamp to keep it in place at first because it kept moving around and the legs were very small and close together. The last part I soldered was the xiao board.
            <img src="Images/webImages/electronics/Almost_Done_soldered.jpeg" class="full-image" alt="rest of soldering">

            <h2>___________________________________________________</h2>
            <h2>Activating and Testing- - - - - -- - - - - - -- - - - - - - - - - - - - -</h2>
    
            <p>After I finished soldering the xioa board on I tried to activate the board but I ran into a few issues: My computer did not accept the usb and disactivated any port I would plug it into. It said the plug took too much energy, and internet forums said there was no way to overrside this (damn mac). So I asked Lu to borrow their computer and they smartly realized that I had soldered the xiao board quite badly. The xiao light would turn only if they pressed it down and when they tried to upload the code to it we got an error message. So, I went back to solder that again, making sure I added more tin and covered as much of it as I could. <br>
                <img src="Images/webImages/electronics/Screenshot14.png" class="cover-image" alt="">
                <img src="Images/webImages/electronics/Error_alert.jpeg" class="cover-image" alt="">
                <br> After fixing up the soldering I went back to Lu's laptop and then it worked. I had a hunch and tried to connect it to my own laptop and this time I didn't get any error messages. So, I was able to finish the process on my own computer.  <p>
            <img src="Images/webImages/electronics/Screenshot59.png" class="full-image" alt="re-soldering">
            <br> <p>With the board plugged in, I opened arduino, copied the code into the sketch and set the board and port correctly. I uploaded the sketch and the led turned on. Now onto the the actual test: I clicked the button and it works!! When I press the button it turns on and when I press again off and again on and again off and so onnn.....   </p>
            <img src="Images/webImages/electronics/LED_WORKS.jpeg" class="full-image" alt="the functioning led">     
       
        </section>    
        <h2>__________________________________________________________</h2>
        <h2> That's it  for this week, thank you for following along - - - --- -- - - - -- - - - - - - - - - --- -- - - - -- - - - - - --- -- - - - -- - - - - --- -- - - - -- - - - - - - -  - - - - - - - - - -- - -- </h2>
      </div>
    <nav>
        <ul>
            <li><a href="index.html">Zina @ D.F.1</a></li>
            <li><a href="index.html #blog">Blog</a></li>
            <li><a href="final-project.html">Final Project</a></li>
            <li><a href="index.html #about">About</a></li>
            
        </ul>
    </nav>

    

</body>

</html>
